# DIGITAL TCP/IP Services for OpenVMS
Management Command Reference

Previous | Contents

Deletes the specified entries from the proxy database.

## QUALIFIERS

> ### /COMMUNICATION

> Optional. Default: Both communication and NFS entries.

> Deletes communication (non-NFS) proxies.

> ### /CONFIRM

> ### NOCONFIRM

> Optional. Default: /CONFIRM with wildcards.

> Requests confirmation before deleting records. Enter:

> - Y to delete the record
> - N to save the record
> - G to change to NO CONFIRMATION mode

> ### /GID=n

> Optional. Default: All GIDs.

> Deletes only proxies for the specified group identifier (GID).

> ### /HOST=host

> Optional. Default: All hosts.

> Deletes only proxies for the specified host.

> ### /NFS=INCOMING

> ### /NFS=OUTGOING

> Optional. Default: /NFS=(INCOMING,OUTGOING).

> Deletes an NFS proxy. Specify one:

> /NFS=OUTGOING | Proxy to use NFS client
> /NFS=INCOMING | Proxy to use NFS server
> /NFS=(OUTGOING,INCOMING) | Both

> ### /PERMANENT

> Optional. Default: None.

> Deletes entries only from the permanent proxy database.

> ### /REMOTE_USER=user

> Optional. Default: None.

> Deletes entries for the specified remote user name.

> ### /UID=n

> Optional. Default: All UIDs.

> Limits the search of entries to delete to proxies for the specified UID.

##

### Examples

#1

    UCX> REMOVE PROXY "peacock" /HOST=GOLDEN /UID=83

> Removes authorization for UID 83 on host GOLDEN from OpenVMS account peacock.

#2

    UCX> REMOVE PROXY /HOST=GOLDEN /UID=83

> Removes authorization for UID 83 from host GOLDEN.

#3

    UCX> REMOVE PROXY /HOST=("goose","grouse")

> Removes authorization for all users on hosts goose and grouse.

#4

    UCX> REMOVE PROXY /UID=83

> Totally removes authorization for UID 83.

#5

    UCX> REMOVE PROXY VMS_USER /REMOTE=PARTRIDGE /HOST=*

> Removes authorization for remote user PARTRIDGE on all hosts.

# SEND MAIL

> Re-queues a mail message for delivery. Releases jobs in a hold state.

> Related commands: REMOVE MAIL, SHOW MAIL

> Applies to: SMTP

## Format

> ### SEND MAIL [user] [/AFTER=time | /[NO]CONFIRM | /ENTRY=n]

## Restrictions

> SYSPRV or BYPASS privileges required to re-queue mail messages that do not correspond to your process's user name.

## PARAMETERS

> ### user

> Optional. Default: All.

> Re-queues messages sent from the specified user name.

## QUALIFIERS

> ### /AFTER=time

> Optional. Default: Immediate delivery attempt.

> Time after which delivery is to be attempted.

> ### /CONFIRM

> ### /NOCONFIRM

> Optional. Defaults:
> - With an entry number specified --- /NOCONFIRM
> - Without an entry number specified --- /CONFIRM

> Requests confirmation before deleting each message when you omit an entry number. Enter one of the following:

> - Y to delete the message.
> - N to save the message.
> - G to change to NO CONFIRMATION mode

> Example:

>     %UCX-E-ANA_SUP_BADIICGSIZE, Problem: Bad initial inode cell
>     group size: bad_value
>     Solution: Will be replaced by
>     default size: good_value
>            CONFIRM [Y/N/G]:

> ### /ENTRY=n

> Optional.

> Queue number of the mail message to be re-queued for delivery.

# SET ARP

> Maps between IP and either Ethernet or FDDI addresses. SET NOARP removes an address-mapping pair.

> Related command: SHOW ARP

> Applies to: Routing

## Formats

> ### SET ARP IP_address [host] [/[NO]PERMANENT | /[NO]PUBLIC]

> ### SET NOARP [host]

## Restrictions

> Requires OPER privileges.

## PARAMETERS

> ### IP_address

> Optional for SET ARP. Not valid for SET NOARP.

> The 32-bit address that identifies the network and host.

> You cannot use wildcards.

> ### host

> Optional.

> Host on which the targeted interface resides.

## QUALIFIERS

> ### /PERMANENT

> ### /NOPERMANENT

> Optional. Default: /PERMANENT.

> The mapping information is cached.

> /NOPERMANENT: removes ARP mapping after the caching interval.

> Not valid with SET NOARP.

> ### /PUBLIC

> ### /NOPUBLIC

> Optional. Default: /PUBLIC.

> Local ARP responds to ARP requests from other hosts to the specified host.

> /NOPUBLIC: maps only for the local host.

> Not valid with SET NOARP.

##

### Examples

#1

    UCX> SET ARP AA-BB-04-05-06-07 CONDOR

> Permanently maps CONDOR's host name to FDDI address AA-BB-04-05-06-07.

# SET BOOTP

> Creates client entries in the BOOTP database.

> SET NOBOOTP does not require any qualifiers.

> Related commands: CONVERT/VMS BOOTP, SHOW BOOTP

## Format

> ### SET [NO]BOOTP host {/FILE=file * | /HARDWARE=ADDRESS=hex_address *}
> [/GATEWAYS=hosts | /NETWORK_MASK=IP_address | /SERVERS=type=host | /TIME_OFFSET=seconds]

> ### * Required.

## Restrictions

> Requires read, write, and delete access to the BOOTP database.

## PARAMETERS

> ### host

> Required.

> Client to which your system will download files upon request.

## QUALIFIERS

> ### /FILE=file

> Required.

> Name of client's system image or other file to download upon request.

> - By default, upon receiving a request, BOOTP looks for this file in UCX$TFTP_ROOT:[host], where host is the client's host name, excluding the domain.
> - If this directory does not exist, BOOTP uses UCX$TFTP_ROOT:[000000].
> - When UCX receives a boot request, BOOTP verifies the existence and size of this file.

> ### /GATEWAYS=hosts

> ### /NOGATEWAYS=hosts

> Optional. Default: None.

> Gateways used for downloading. Maximum: 16.

> ### /HARDWARE=ADDRESS=hex_addr

> Required.

> Client's hardware address. For hex_addr, specify: hh-hh-hh-hh-hh-hh.

> ### /NETWORK_MASK=IP_address

> Required if you use subnets --- otherwise optional.

> The part of the host field of an IP address identified as the subnet.

> The software calculates the default by setting:

> - The bits representing the network field to 1
> - The bits representing the host field to 0

> You can divide the host field into a site-specific subnetwork and a host field. If you use subnets, you must specify a subnet field.

> ### /SERVERS=type=host

> Optional.

> Other servers whose names BOOTP can supply to clients. The supported types are:

> [NO]COOKIE | Cookie server
> [NO]IEN_NAME | IEN-116 name server
> [NO]IMPRESS | Impress network image server (IMAGEN)
> [NO]LPR | Berkeley 4BSD print server
> [NO]LOG | MIT-LCS UDP logging server
> [NO]NAME | BIND name server
> [NO]RESOURCE | Resource Location Protocol (RLP) server (RFC-887)
> [NO]TIME | Internet time server (RFC-868)

> ### /TIME_OFFSET=seconds

> Optional. Default: 0 seconds.

> Time difference, in seconds, between the client's time zone and Greenwich Mean Time (GMT) expressed in seconds west of GMT. This value is:

> - Positive in the U.S.A.
> - Negative in Japan.
> - 0 in the British Isles.
> - Depending on location, either 0 or positive on the European continent.

##

### Examples

#1

    UCX> SET BOOTP PLOVER /HARDWARE=ADDRESS=08-00-2D-20-23-21 -
    _UCX> /FILE=PLOVER.SYS

> Adds host PLOVER, with hardware address 08-00-2D-20-23-21, to the BOOTP database. BOOTP can respond to a remote boot request from client PLOVER by sending its system image file, PLOVER.SYS, to its hardware address.

# SET COMMUNICATION

> Modifies the IP, TCP, UDP, and INET_ACP software on the running system.

> Related commands: SET CONFIGURATION COMMUNICATION, SHOW COMMUNICATION

## Format

> ### SET COMMUNICATION [/ACCEPT=options | /ALLOW_LOG_OPTIONS=options | /CLUSTER_TIMER=n | /DEVICE_SOCKETS=n | /DOMAIN=domain | /FORCE_LOG_OPTIONS=options | /INTERFACES=n | /IRP=options | /LARGE_BUFFERS=options | /LOCAL_HOST=host | /NON_UCX_BUFFERS=FREE=n | /PROXIES=n | /REJECT=options | /REMOTE_TERMINAL=options | /ROUTES=n | /SERVICES=n | /SMALL_BUFFERS=options | /TYPE=options]

## Restrictions

> - Requires OPER privileges.
> - Change the following settings before you issue START COMMUNICATION:
>   - /LARGE_BUFFERS=MINIMUM=n
>   - /SMALL_BUFFERS=MINIMUM=n
>   - /TYPE

## QUALIFIERS

> ### /ACCEPT {=[NO]HOSTS=(hosts) | =[NO]NETWORKS=(networks)}

> Optional. Default: All hosts and all networks.

> Hosts or networks that can access UCX.

> Do not specify the same hosts or networks for both /ACCEPT and /REJECT.

> To delete an /ACCEPT entry, specify it again using the NOHOSTS or NONETWORKS option.

> Specify one of the following:

> - [NO]HOSTS=hosts
>   Hosts that can access UCX. Maximum is 32. For example:
>   /ACCEPT=HOSTS=(host1_name,host2_name,host3_add ress)
> - [NO]NETWORKS=networks
>   Networks that can access UCX. Maximum is 16.
>   Syntax:
>   NETWORKS=(net1[:net1mask],net2[:net2mask],... )
>   For each network, specify: network:network_mask. The network mask is optional. (Default: class number of your network. For example, the default for 11.200.0.0. is 255.0.0.0.). For example:
>   /ACCEPT=NETWORKS=(net1_name,net2_addr,net3_add r:net3_mask)

> ### /ALLOW_LOG_OPTIONS=options

> Optional. Default: No logging.

> Event logging options for all the services. (However, to specify a name for a service's log file, use the SET SERVICE command.)

> If you set an option with this qualifier, but an individual service has a different setting for the same option (that was set with SET SERVICE), that setting overrides the setting with /ALLOW_LOG_OPTIONS (see the /FORCE_LOG_OPTIONS qualifier).

> The available options are:

> - [NO]ACCEPT
>   Logs a message when a request is accepted.
> - [NO]ACTIVATE
>   Logs a message when the auxiliary server activates a service.
> - [NO]ADDRESS
>   Translates the IP address to a host name when logging auxiliary server messages and OpenVMS security events. This translation might involve lookup in the BIND resolver.
>   If host names are not relevant for these messages, DIGITAL recommends that you specify this option.
> - [NO]ALL
>   Logs messages for all events.
> - [NO]CONNECT
>   Logs a message when the auxiliary server issues a connect request back to the client.
>   (Typically, the remote shell and remote execute servers request such a connection on a second socket.)
> - [NO]DEACTIVATE
>   Logs a message when a server of a particular service is deactivated.
> - [NO]ERROR
>   Logs a message when an error is detected while processing a request to a server.
> - [NO]EXIT_CLEANUP
>   Logs a message when, during server termination, it is detected that the server did not go through all the steps required for startup.
>   For servers not marked as LISTEN, the server did not accept the connection request (issue a TCP accept or a UDP receive).
>   For servers marked as LISTEN, the server did not ASSIGN the BG device (SYS$NET logical name) or issue a VAX C socket before exiting.
> - [NO]LOGIN
>   Logs a message when a connected terminal server accepts a Remote Login request.
> - [NO]LOGOUT
>   Logs a message when a service connected to a terminal server breaks the connection.
> - [NO]MODIFY
>   Logs a message when an active server is modified.
> - [NO]REJECT
>   Logs a message when a request is rejected.
>   A service can be rejected because:
>   - Maximum reached for the requested service
>   - Maximum reached for all services
>   - Requesting host is marked for rejection
> - [NO]TIMEOUT
>   Logs a message when a server not marked as LISTEN is timing out.

> ### /CLUSTER_TIMER=n

> Optional. Default: 5 minutes (the host holds the cluster host name until you either stop UCX or delete the interface).

> Maximum time given for a node to respond to the cluster name.

> ### /DEVICE_SOCKETS=n

> Optional. Default: 60.

> Maximum number of device sockets. This value affects the nonpaged pool.

> ### /DOMAIN=domain

> Optional.

> Your system's local domain. This qualifier requires either SYSPRV or BYPASS privileges.

> ### /FORCE_LOG_OPTIONS=options

> Optional. Default: No overriding.

> Overrides log options set with the SET SERVICE command. /FORCE_LOG_OPTIONS requires you to specify individual settings to override.

> See the SET SERVICE command for a description of all the log options. You can override any of them with one exception. /FORCE_LOG_OPTIONS does not have a log_file option.

> ### /INTERFACES=n

> Optional. Default: 10.

> Maximum number of interfaces.

> ### /IRP=options

> Optional. Default: MAX:200, FREE:20.

> Quota for the internet I/O request packets (IRPs).

> The options for setting the IRP quota are:

> - MAX:n --- Maximum number of IRPs (IRP quota).
> - FREE:n --- Maximum number of IRPs in the free list. The free list is a lookaside queue of free packets, preallocated from the OpenVMS nonpaged pool.

> ### /LARGE_BUFFERS=options

> Optional. Default: 200.

> Number of static and dynamic buffers.

> - Static buffers
>   - Allocated when UCX starts
>   - Deallocated when you issue a STOP COMMUNICATION command
> - Dynamic buffers --- additional buffers that the software might need to hold messages before they are processed.

> The options are:

> - MIN:n --- Number of large static buffers.
>   If UCX is running, you cannot change this value.
> - MAX:n --- Total number of large buffers.
>   Smallest valid value = 15.
> - FREE:n
>   Maximum number of large buffers in the free list. The free list is a lookaside queue of buffers, preallocated from the OpenVMS nonpaged pool. Default: 20.
>   This value affects the nonpaged pool.

> The number of buffers you need varies. If the sizes are insufficient, messages are dropped at peak loads. Allocating three times more small buffers than large buffers is the norm.

> ### /LOCAL_HOST=host

> Required.

> Defines the following logical names for the local host:

> - UCX$INET_HOST = host name
>   If you previously set the host's name by specifying its alias, this logical name is set with the host name.
> - UCX$INET_HOSTADDR = host IP address
>   If the local host has multiple IP addresses, this logical name is set with a name for each address, called:
>   UCX$INET_HOSTADDRn
>   Here, n = a number starting at 2.

> This qualifier requires either SYSPRV or BYPASS privileges.

> ### /NON_UCX_BUFFERS=FREE=n

> Optional. Default: 10.

> Number of non-UCX buffers in the free list. The free list is a lookaside queue of buffers, preallocated from the OpenVMS nonpaged pool.

> Accommodating as many non-UCX buffers as possible helps avoid unnecessary memory deallocation and allocation.

> ### /PROXIES=n

> Optional. Default: Number of communication proxies plus 10, with a minimum of 20.

> Maximum size of the proxy cache. If you plan to add entries to the proxy database after you start UCX, set /PROXIES to a value higher than the default.

> You cannot change this value if UCX is running.

> ### /REJECT {=[NO]HOSTS=(hosts) | =[NO]NETWORKS=(networks) | =[NO]MESSAGE=(message)}

> Optional. Default: No rejections.

> Hosts or networks that cannot access UCX, including the rejection message that UCX might return.

> (For Remote Login, Remote Shell, and Remote Executive, the rejection message is preceded by a byte with a value of 1 and terminated by a byte with a value of 0.)

> Do not specify the same hosts or networks for both /ACCEPT and /REJECT.

> To delete a /REJECT entry, specify it again using the NOHOSTS or NONETWORKS option.

> Specify one of the following:

> - [NO]HOSTS=hosts
>   Hosts that cannot access UCX. Maximum is 32. The syntax is:
>   /REJECT=HOSTS=(host1_name,host2_name,host3_add ress)
> - [NO]NETWORKS=networks
>   Networks that cannot access UCX. Maximum is 16. The syntax is:
>   NETWORKS=(net1[:net1mask],net2[:net2mask],... )
>   For each network, specify: network:network_mask. The network mask is optional. (Default: Class number of your network. For example, the default for 11.200.0.0. is 255.0.0.0.). The syntax is:
>   /REJECT=NETWORKS=(net1_name,net2_address,net3_ addr:net3_mask)

> ### /REMOTE_TERMINAL= {LARGE_BUFFER=n | UCB=n | [NO]VIRTUAL_TERMINAL}

> Optional.

> Sets the parameters for the TELNET and RLOGIN servers. The available options are:

> - LARGE_BUFFER=n --- Number of large buffers in the TELNET (includes TN3270) or Remote Login free lookaside list. Default: 10.
> - UCB=n --- Number of unit control blocks (UCBs) in the TELNET or Remote Login free lookaside list. Default: 4.
> - VIRTUAL_TERMINAL --- Enables TELNET.
> - NOVIRTUAL_TERMINAL --- Disables TELNET.

> ### /ROUTES=n

> Optional. Default: 65535.

> Number of routes to be cached.

> ### /SERVICES=n

> Optional. Default: 60.

> Maximum number of services.

> ### /SMALL_BUFFERS=options

> Optional. Default: 1000.

> Number of static and dynamic buffers.

> - Static buffers
>   - Allocated when UCX starts
>   - Deallocated when you issue a STOP COMMUNICATION command
> - Dynamic buffers --- additional buffers that the software might need to hold messages before messages are processed.

> The options are:

> - MIN:n --- Number of small static buffers.
>   If UCX is running, you cannot change this value.
> - MAX:n--- Total number of small buffers.
> - FREE:n --- Maximum number of small buffers in the free list. The free list is a lookaside queue of buffers, preallocated from the OpenVMS nonpaged pool.
>   This value affects the nonpaged pool.

> The number of buffers you need varies. If the sizes are insufficient, messages are dropped at peak loads. Allocating three times more small buffers than large buffers is the norm.

> ### /TYPE=options

> Optional. Default: Ethernet.

> Type of large buffers for UCX to allocate:

> - Ethernet --- Large buffers are approximately 1792 bytes.
> - FDDI --- Large buffers are approximately 4500 bytes.
> - Token Ring (4Mb/second) --- Large buffers are approximately 1792 bytes.
> - Token Ring (16Mb/second) --- Large buffers are approximately 4500 bytes.

##

### Examples

#1

    UCX> SET COMMUNICATION -
    _UCX /REJECT=NETWORK=(16.30.0.0:255.255.0.0,16.40.0.0:255.255.0.0)

> Sets all the services to inaccessible to the two specified networks.

#2

    UCX> SET COMMUNICATION /LARGE=(MIN=10,MAX=30)

> Sets the number of static buffers to 10 and the total number of static and dynamic buffers to 30. This command must be issued before the START COMMUNICATION command.

# SET CONFIGURATION BIND

> Configures the BIND server in the configuration database. Creates the BIND server boot file, which holds the following information:
> - Cluster alias or aliases
> - Server type --- primary, secondary, or forwarding
> - Domains to be served
> - Location from which it will get initial information for lookups

> You can configure the BIND server:

> - For one or more internet domains
> - As one kind of BIND server --- primary, secondary, or forwarding
> - As multiple kinds of BIND servers
> - On TCP/IP clusters for cluster load balancing

> Related command: SHOW CONFIGURATION BIND

> Applies to: BIND server

## Format

> ### SET CONFIGURATION [NO]BIND {/CACHE=options | /[NO]CLUSTER=names | /FORWARDERS=options | /PRIMARY=options | /SECONDARY=options}

## Restrictions

> Requires SYSPRV or BYPASS privileges.

## QUALIFIERS

> ### /CACHE=([NO]DOMAIN:do,[NO]FILE:file)

> Optional. Default: None.

> Cache server for the specified domain. Do not use with /FORWARDERS. Use with /PRIMARY and /SECONDARY.

> The cache tells the primary or secondary server how to find the file with hints. These hints let a server find a root name server. With this ability, the server can answer requests even if it does not have the information. You can use the following options:

> - DOMAIN keys to a particular record within a type.
>   NODOMAIN deletes the entry.
> - FILE specifies the name of the hints file.

> If you use /CACHE with no options:

> - DOMAIN defaults to "." ("root").
> - FILE defaults to NAMED.CA.

> ### /CLUSTER=name

> ### /NOCLUSTER=name

> Required to configure cluster load balancing.

> Identifies the name of a TCP/IP cluster as the first step to setting up cluster load balancing.

> For information about the remaining procedure, see the DIGITAL TCP/IP Services for OpenVMS Management manual.

> /NOCLUSTER=name deletes the specified name as a cluster load balancing host.

> ### /FORWARDERS=([NO]HOST:host)

> Optional.

> Forwarding server.

> NOHOST deletes hosts.

> ### /PRIMARY=([NO]DOMAIN:do,[NO]FILE:file)

> Optional. Default: None.

> Primary server for the specified zone. Multiple primary servers are allowed if each is associated with a different domain.

> - DOMAIN keys to a particular domain.
>   NODOMAIN deletes the entry.
> - FILE specifies the domain to be served.
>   If you do not specify a file, the default file name is created from the value that you supply with the DOMAIN option.
>   NOFILE specifies that no file is created.

> ### /SECONDARY=([NO]DOMAIN:do,[NO]FILE:file,[NO]HOST:< em>host)

> Optional. Default: None.

> Secondary server for the specified zone. Multiple secondary servers are allowed if each is associated with a different domain.

> - DOMAIN keys to a particular record within a type.
>   NODOMAIN deletes the entry.
> - FILE specifies the name of the boot file.
>   If you do not specify a file, the default file name is created from the value that you supply with the DOMAIN option.
>   NOFILE specifies that no file is created.
> - HOST is a list of hosts from which the secondary server copies the database file.
>   NOHOST: deletes hosts from the host list.

##

### Examples

#1

    UCX> SET CONFIGURATION BIND -
    _UCX> /PRIMARY=(DOMAIN:RHEA.LAB.UBIRD.EDU)

> Configures the host as the primary server for domain RHEA.LAB.UBIRD.EDU.

#2

    UCX> SET CONFIGURATION BIND -
    _UCX> /SECONDARY=(DOMAIN:JACANA.LAB.UBIRD.EDU) -
    _UCX> /SECONDARY=(FILE:JACANA.DB,HOST=MARSHY)

> Configures the host as a secondary server for domain JACANA.LAB.UBIRD.EDU and names the boot file JACANA.DB.

> Omitting the file name would default to file JACANA.LAB.UBIRD.DB.

#3

    UCX> SET CONFIGURATION BIND -
    _UCX> /SECONDARY=(DOMAIN=0.192.IN-ADDR.ARPA,HOST=WEBBED)

> Configures the host as a secondary server for the reverse lookup domain for addresses that have the form of 192.0.*.*.

> The boot file name defaults to 0_192_IN-ADDR_ARPA.DB and the host copies this file from the host WEBBED.

#4

    UCX> SET CONFIGURATION BIND /CACHE

> Points the server to the file NAMED.CA which contains hints about the root name servers.

# SET CONFIGURATION COMMUNICATION

> Enters information into the configuration database to start the IP, TCP, UDP, and INET_ACP software when the system starts up.

> Previous | Next | Contents